Subject: Re: bug#6419: A suggestion for easier editing of lists in Custom buffers

From: Mauro Aranda <[email-masked]>
Date: Wed, 14 Oct 2020 09:14:26 -0300

Lennart Borgman <[email-masked]> writes:

> Moving things in a list in a custom buffer is not very easy currently,
> especially not if it contains nested lists. I have been thinking of
> implementing some up/down arrows to permit moving of subtrees, but
> that is also rather clumsy so I have refrained from it.
>
>
> Here is another idea which perhaps both is more useful and easier to
implement:
>
> A) When clicking on a [-] do delete a subtree save (a print
> representation) of it to the clipboard/kill ring (beside deleting the
> subtree, of course ;-)
>
> B) When on a [+] do add a new subtree give the possibility to paste
> the deleted subtree in this position.
>
>
> A is of course no problem to implement. B is probably not that hard to
> implement either if one has the (sub)type for the subtree available on
> the [+] button.

This idea didn't get any feedback back then, but I think there might be
value in it.  I'd tweak it to delete/insert widgets, rather than using
the kill ring.

Any opinions?